---
layout: post
title: "Watch this ! Also re-share to your friends and enemies"
date: September 18, 2016 10:03
category: "General discussion"
author: "Arthur Wolf"
---
Watch this ! Also re-share to your friends and enemies. 



<b>Originally shared by Thomas Sanladerer</b>



Today's livestream starting in 60 minutes! Converting the Atom 2.0 Delta to **+Arthur Wolf**'s Smoothieboard


{% include youtubePlayer.html id="ig61q1wsTO4" %}
[https://www.youtube.com/watch?v=ig61q1wsTO4](https://www.youtube.com/watch?v=ig61q1wsTO4)





**"Arthur Wolf"**

---


---
*Imported from [Google+](https://plus.google.com/+ArthurWolf/posts/P1g7oM7ueXz) &mdash; content and formatting may not be reliable*
